;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Stuff
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

			Height		=	$5F
                   	Table1	    	= 	$C2
			Table2	    	= 	$1594
                   	Tile       	= 	$00
			RisingSpeed	=	$01
                    
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; sprite init JSL
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

                    dcb "INIT"
			RTL
      

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; sprite code JSL
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

                    dcb "MAIN"                                    
                    PHB                     
                    PHK                     
                    PLB                     
                    JSR SPRITE_CODE_START   
                    PLB                     
                    RTL      


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; main
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
SPRITE_CODE_START   

LDA TABLE1,x	;\
BNE SkipThis	; |
		; |
LDA $24		; | This wouldnt work in the init so I had to do it the cheap way
STA TABLE1,x	; |
		; |
		;/
SkipThis:	

LDA $14AD
BEQ Done

LDA #$01
STA $1427

LDA TABLE2,x
CMP #Height
BCS Return

LDA $13
AND #RisingSpeed
BNE Return



INC $24
INC TABLE2,x

Return:
                    RTS
 
               

Done:
LDA TABLE2,x
BEQ Return
LDA $24
CMP TABLE1,x
BNE LowerLOW
STZ TABLE2,x
STZ $1427
RTS

LowerLOW:
LDA $13
AND #RisingSpeed
BNE Return
DEC $24
RTS
